Subject: Re: NSSA ABR

From: "Manral, Vishwas" <[email-masked]>
Date: Wed, 26 Mar 2003 07:47:40 -0500

Hi Krishna,

Interesting question !!!!

It will not qualify for the translator election on other routers as E-bit
cannot be set on an ABR, with an NSSA and a stub area into the stub area.

The following statements are relevent: -
"   All NSSA border routers must set the E-bit in the Type-1 router-LSAs
   of their directly attached non-stub areas, even when they are not
   translating.  This allows other NSSA border routers to see their ASBR
   status across the AS's transit topology.  Failure to do so may cause
   the election algorithm to elect unnecessary translators.
"
besides
"   An NSSA border router whose NSSA's NSSATranslatorRole is set to
   Candidate must maintain a list of the NSSA's border routers that are
   reachable both over the NSSA and as ASBRs over the AS's transit
   topology.
"

So although the router becomes the translator(win the translator election on
itself alone), it will not translate because it is attached to stub. Besides
it will allow other ABR's to become translator as it will not qualify for
their translator election.

Thanks,
Vishwas

-----Original Message-----
From: Krishna Rao [mailto:[email-masked]]
Sent: Wednesday, March 26, 2003 6:00 PM
To: [email-masked]
Subject: NSSA ABR

Hi,
Suppose a router has two areas of which
one is NSSA and the other is stub area.
Does it qualify to be NSSA ABR and take
part in NSSA Translator election ??

thanks,
krishna

On Mon, 24 Feb 2003 Krishna Rao wrote :
>Hi,
>Is there any difference between NSSA draft 11 and NSSA RFC 3101
>as per protocol functionality?
>Or NSSA draft 11 is made into standard RFC 3101??
>
>thanks,
>krishna
>
>
>
>On Mon, 24 Feb 2003 Rohit Gupta wrote :
>>Acee,
>> >
>> > Externally, origination should appear as the latter.
>> > However, keep in mind that the only time flooding
>> > can be suppressed is if an LSA is MaxAged while
>> > waiting MinLSInterval to expire AND the sequence
>> > number is the initial sequence number (0x80000001).
>>
>>And what if its not ISN. In my particular case it wont
>>be!
>>
>>Theoretically i understand that the latter is the
>>desired behaviour but do implementations actually do
>>that when sending a MaxAge LSA (scan thru the Rxmt
>>lists, etc and block the origination!)
>>
>> >
>> > >
>> > > Given the granularity of this timer (and maybe
>> > some
>> > > others too!) isnt it a little difficult to achieve
>> > > sub-second convergence?
>> >
>> > This OSPF constant can delay convergence but it
>> > is more a factor with router LSAs. For external
>> > LSAs,
>> > I think you want some holddown between originations
>> > and I don't think 5 seconds is unreasonable.
>>
>>But this timer is applied for all the LSAs ..
>>including the Router LSA. AS-External-LSA was just an
>>example which i was taking ..
>>
>>Has anyone thought on these lines or is there some
>>work which has been done over this.
>>
>>I for one would certainly be interested in knowing
>>more about it.
>>
>>Regards,
>>Rohit
>>
>>
>>
>>
>>
>>__________________________________________________
>>Do you Yahoo!?
>>Yahoo! Tax Center - forms, calculators, tips, more
>>http://taxes.yahoo.com/

_______________________________________________________________________
Odomos - the only  mosquito protection outside 4 walls -
Click here to know more!
http://r.rediff.com/r?http://clients.rediff.com/odomos/Odomos.htm&&odomos&&w
n